Кіріспе

Компьютерлік желілердегі техника. Интерактивті байланыс орнату (ICE) – екі компьютердің бір-бірімен мүмкіндігінше тікелей байланысу жолдарын табуға арналған компьютерлік желілерде қолданылатын техника. Бұл ең көп қолданылатыны – дауыс арқылы Интернет-протоколы (VoIP), өзара байланыс, бейне және жылдам хабар алмасу сияқты интерактивті медиа. Мұндай қолданбаларда орталық сервер арқылы байланыс жасау баяу әрі қымбатқа түседі, бірақ желілік адрес трансляторлары (NAT), қауіпті қабырғалар (firewall) және басқа да желілік кедергілерге байланысты интернеттегі клиенттік қолданбалар арасында тікелей байланыс орнату өте қиын. ICE –ді Интернет-инженерлік тобының MMUSIC жұмыс тобы әзірлеген, және 2018 жылдың тамызынан бастап RFC 8445 ретінде жарияланған, ал RFC 5245 және RFC 4091 қолданыстан шығарылған.

Шолу

Желілік мекенжай аудару (NAT) Интернет-протоколының 4-ші нұсқасының қолжетімді мекенжайлар қорының таусылуын ұзартатын тиімді техникаға айналды, себебі ол шамамен төрт миллиард бірегей мекенжаймен шектелген. NAT шлюздері жеке желіден шығатын сұрауларды қадағалайды және жеке желідегі әріптеске қоғамдық желіден жауаптарды дұрыс бағыттау үшін әрбір орнатылған қосылыстың күйін сақтайды, әйтпесе олар тікелей адрестелмейтін болар еді. VoIP, peer-to-peer және көптеген басқа да қолданбалар байланыс жасайтын әріптестердің мекенжай ақпаратын қосылыс деректері ағынында, ғана емес, Интернет-протоколы пакеттерінің бас жағында да қажет етеді. Мысалы, сессияны бастау протоколы (SIP) желілік клиенттердің IP-мекенжайларын тіркеу қызметіне тіркеу үшін жібереді, соның арқасында телефон қоңыраулары тіркелген клиенттерге бағытталады. ICE байланыс жасайтын әріптеске өзінің қоғамдық IP-мекенжайын анықтап, басқа әріптестерге жеткізуге мүмкіндік беретін құрылымды ұсынады. NAT үшін сессияны басып өтуге арналған құралдар (STUN) – NAT жіктемесін қоса алғанда, мұндай мекенжайды анықтау үшін стандартталған протокол. NAT айналасындағы ретрансляторларды пайдалану арқылы өту (TURN) егер брандмауэр екі клиент арасындағы тікелей медиа-трафикті рұқсат етпесе, екі клиент арасында хабарламаларды ретрансляциялау үшін үшінші тарап серверін орналастырады.